Object Detection using Template

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Public Member Functions | Public Attributes | List of all members
cz.vutbr.feec.novak68.tools.Coordinate Class Reference
Collaboration diagram for cz.vutbr.feec.novak68.tools.Coordinate:
[legend]

## Public Member Functions
| Coordinate (int posX, int posY, int width, int height)
| Coordinate (int posX, int posY, double scale)

## Public Attributes
final Point | leftTop
final double | scale
final Point | center
final Dimension | dimension

## Detailed Description

This support class represents some transport variable. It is used only for easily maintain the detection window coordinates. It contains all necessary points to easily find detection window including Left top position, center of detection window position, used scale (it means the ratio between detection window and template image), dimension of detection window

Author
  xnovak68

Definition at line 15 of file Coordinate.java.

## Constructor & Destructor Documentation

cz.vutbr.feec.novak68.tools.Coordinate.Coordinate | ( | int | posX,
|  | int | posY,
|  | int | width,
|  | int | height
| ) |  |

Definition at line 20 of file Coordinate.java.

References cz.vutbr.feec.novak68.tools.Coordinate.dimension, and cz.vutbr.feec.novak68.tools.Coordinate.leftTop.

cz.vutbr.feec.novak68.tools.Coordinate.Coordinate | ( | int | posX,
|  | int | posY,
|  | double | scale
| ) |  |

Definition at line 26 of file Coordinate.java.

References cz.vutbr.feec.novak68.tools.Coordinate.dimension, cz.vutbr.feec.novak68.imageProcessor.ImageFacade.IMAGE_BASE_SIZE, cz.vutbr.feec.novak68.tools.Coordinate.leftTop, and cz.vutbr.feec.novak68.tools.Coordinate.scale.

## Member Data Documentation

final Point cz.vutbr.feec.novak68.tools.Coordinate.center

Definition at line 18 of file Coordinate.java.

Referenced by cz.vutbr.feec.novak68.detector.DetectorImpl.drawCross().

final Dimension cz.vutbr.feec.novak68.tools.Coordinate.dimension

Definition at line 19 of file Coordinate.java.

Referenced by cz.vutbr.feec.novak68.tools.Coordinate.Coordinate(), cz.vutbr.feec.novak68.detector.DetectorImpl.drawROI(), and cz.vutbr.feec.novak68.tools.VarianceComputer.variance().

final Point cz.vutbr.feec.novak68.tools.Coordinate.leftTop

Definition at line 16 of file Coordinate.java.

Referenced by cz.vutbr.feec.novak68.tools.Coordinate.Coordinate(), cz.vutbr.feec.novak68.detector.DetectorImpl.drawROI(), cz.vutbr.feec.novak68.imageProcessor.ImageFacade.getImage(), and cz.vutbr.feec.novak68.tools.VarianceComputer.variance().

final double cz.vutbr.feec.novak68.tools.Coordinate.scale

Definition at line 17 of file Coordinate.java.

Referenced by cz.vutbr.feec.novak68.tools.Coordinate.Coordinate().

The documentation for this class was generated from the following file:

- src/cz/vutbr/feec/novak68/tools/Coordinate.java